Page MenuHomePhabricator

BGP route-reflector-client config erroneously claims remote-as is incorrect
Closed, ResolvedPublicBUG

Description

Sometime between 2019-06-16 and 2019-06-19 a change occured that created the following error:

When entering the following configuration:

set protocols bgp 12345 peer-group RRDistRouters address-family ipv4-unicast route-map export 'RRtoRouters'
set protocols bgp 12345 peer-group RRDistRouters address-family ipv4-unicast route-map import 'RRfromRouters'
set protocols bgp 12345 peer-group RRDistRouters address-family ipv4-unicast route-reflector-client
set protocols bgp 12345 peer-group RRDistRouters address-family ipv4-unicast soft-reconfiguration inbound
set protocols bgp 12345 peer-group RRDistRouters description 'Route Reflector Routers'
set protocols bgp 12345 peer-group RRDistRouters remote-as 12345

I receive this message:

[ protocols bgp 12345 peer-group RRDistRouters address-family ipv4-unicast route-reflector-client ]
remote-as must equal local-as

[[protocols bgp 12345]] failed
Commit failed
[edit]

Entering the correct commands into FRR vtysh does NOT result in an error - the peer-group and peer are setup properly.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.2 crux branch cloned on 2019-06-21
Why the issue appeared?
Will be filled on close

Event Timeline

rgrant created this task.Jun 21 2019, 8:04 PM

Oh, er, forgot to mention that the exact same configuration worked perfectly when run on the version of Crux compiled on 2019-06-16.

Also, when I upgraded from the 2019-06-16 version to one compiled on 2019-06-19 (to add the SACK fix), the ENTIRE "protocols bgp" section was missing.

The protocols BGP being missing, I believe is the bug in https://phabricator.vyos.net/T1490 and actively being worked on.

I, in the process of finding my bug, also ran into you issue as well, during a core router upgrade from 1.1.8 -> 1.2.1-S2

Dmitry added a subscriber: Dmitry.Aug 2 2019, 8:44 PM

Does this mean it'll make it into Crux soon?

syncer changed the task status from Open to In progress.Aug 22 2019, 10:34 PM
syncer changed the task status from In progress to Backport candidate.
syncer assigned this task to hagbard.
syncer triaged this task as Normal priority.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.3) board.
pasik added a subscriber: pasik.Aug 25 2019, 9:07 PM
syncer reassigned this task from hagbard to dmbaturin.Aug 31 2019, 8:27 PM
syncer added a subscriber: hagbard.

@rgrant I've cherry-picked it into Crux, will be in the 1.2.3 release soon.

dmbaturin closed this task as Resolved.Aug 31 2019, 8:38 PM

Thanks!!!! I'll test it once it's pulled...